unit uIEditorArticulo;

interface

uses
  uEditorDBItem, uBizArticulos, uArticulosController;

type
  IEditorArticulo = interface(IEditorDBItem)
  ['{3260C102-192B-4797-A390-30C818ECBEA5}']
    function GetController : IArticulosController;
    procedure SetController (const Value : IArticulosController);
    property Controller : IArticulosController read GetController write SetController;

    function GetArticulo: IBizArticulo;
    procedure SetArticulo(const Value: IBizArticulo);
    property Articulo: IBizArticulo read GetArticulo write SetArticulo;
  end;

implementation

end.
